/****************************************************************************************

		MFInitGuid.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Joshua
		Date:	4/21/98

		Includes all headers which init GUIDs in MCF and MCCore.

		Revision History

		when		who			what & why
		==========	==========	======================================================
		09/8/99		Brice		added IMFClipboard
		06/29/99	Arnaud		added IMFImageControlPart
		3/4/99		Eml			add IMFDrawerPart.h
		2/19/99		Joshua		Added IMFMenu
		2/16/99		Greg		Added IMFDragDrop
		02/11/99	Arnaud		Added IMFDialogPart interface
		1/22/99		Greg		Added IMFToolbarPart interface
		01/12/99	Mathieu		Added IMFBitmapSliderPart.h
		11/25/98	Ian			Made IMFParameterPart.h qCommSupport only.
		11/23/98	pbk			Separating COMSuppport from MCFrame
		10/12/98	Eml			add IMFTextPopupPart.h
		9/18/98		Greg		Add IMFWindow.h
		8/25/98		Eml			include IMFListPart.h and IMFExListPart.h
		8/10/98		Greg		Added IMFTabPart.h, IMFCollapsiblePart.h
		7/8/98		Eml			include MFInitGUID.h
		6/22/98		Joshua		Added IMFResponder.h
		6/5/98		Ian			Added IMFDocument GUID. Alphabetized include list.
		5/15/98		Joshua		Added Responder GUID

*****************************************************************************************/

//Please keep this list in alphabetical order, thanx.

//#include "IMFDialogPart.h"
#include "IMFDocument.h"
#include "IMFEditTextPart.h"
#include "IMFExBrowserFamily.h"
#include "IMFBrowserPreviewMaker.h"
#include "IMFExListPart.h"
#include "IMFExPart.h"
#include "IMFExResponder.h"

#include "IMFBitmapSliderPart.h"
#include "IMFClipboard.h"
#include "IMFCollapsiblePart.h"
#include "IMFCurvePart.h"
#include "IMFDragDrop.h"
#include "IMFDrawerPart.h"
#include "IMFImageControlPart.h"
#include "IMFImagePart.h"
#include "IMFListPart.h"
#include "IMFCollapsibleListPart.h"
#include "IMFNodeReferencePart.h"

#include "IMFMenu.h"
#include "IMFOffscreenPart.h"
#include "IMFPart.h"
#include "IMFPartSwitcher.h"
#include "IMFPreviewPart.h"
#include "IMFResponder.h"
#include "IMFScrollPart.h"
#include "IMFSliderPart.h"
#include "IMFFramePart.h"
#include "IMFSolidColorPart.h"
#include "IMFSplitBarPart.h"
#include "IMFTabPart.h"
#include "IMFToolbarPart.h"
#include "IMFTextPopupPart.h"
#include "IMFWindow.h"
#include "IMFHtmlPart.h"

#ifdef qCOMSupport
#include "IMFParameterPart.h"
#include "IComponentTreePart.h"
#endif


#include "IShowBackBufferWindow.h"
#include "IMFPerpetualMouse.h"
#include "IMFDockablePart.h"
#include "IMFDockAreaPart.h"